#ifndef QREDIS_CLIENT_P_H
#define QREDIS_CLIENT_P_H

#include <QObject>
#include <QQueue>
#include <QTcpSocket>

#include <client.hpp>
#include <reply.hpp>
#include <request.hpp>
#include <lexer.hpp>
#include <parser.hpp>

namespace qxredis
{

class ClientPrivate : public QObject
{
	Q_OBJECT

public:
	ClientPrivate( Client* );

	QTcpSocket         socket;
	QQueue< Request* > queue;

	Lexer  lexer;
	Parser parser;

private:
	Q_SLOT void sendReply(const qxredis::Reply & );
}; // class ClientPrivate

} // namespace QRedis

#endif // QREDIS_CLIENT_H
